%{?mingw_package_header}

%global nativename proj

Name:          mingw-%{nativename}
Version:       4.9.1
Release:       %mkrel 1
Summary:       Cartographic projection software (PROJ.4)

Group:         Development/Other
BuildArch:     noarch
License:       MIT
URL:           http://proj.osgeo.org
Source0:       http://download.osgeo.org/proj/proj-%{version}.tar.gz

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc


%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{nativename}
Summary:       Cartographic projection software (PROJ.4)

%description -n mingw32-%{nativename}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{nativename}-static
Summary:       Static libraries for mingw32-%{nativename}
Requires:      mingw32-%{nativename} = %{version}-%{release}

%description -n mingw32-%{nativename}-static
Static libraries for mingw32-%{nativename}.


%package -n mingw64-%{nativename}
Summary:       Cartographic projection software (PROJ.4)

%description -n mingw64-%{nativename}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw64-%{nativename}-static
Summary:       Static libraries for mingw64-%{nativename}
Requires:      mingw64-%{nativename} = %{version}-%{release}

%description -n mingw64-%{nativename}-static
Static libraries for mingw64-%{nativename}.


%{?mingw_debug_package}


%prep
%setup -q -n %{nativename}-%{version}


%build
%{mingw_configure}
%{mingw_make} %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Remove libtool archives
rm %{buildroot}%{mingw32_libdir}/libproj.la
rm %{buildroot}%{mingw64_libdir}/libproj.la

# Remove inverse program symbolic links
rm %{buildroot}%{mingw32_bindir}/inv*.exe
rm %{buildroot}%{mingw64_bindir}/inv*.exe

# Remove unneeded files
rm -R %{buildroot}%{mingw32_datadir}/*
rm -R %{buildroot}%{mingw64_datadir}/*


%files -n mingw32-%{nativename}
%doc NEWS AUTHORS README ChangeLog
%license COPYING
%{mingw32_bindir}/libproj-9.dll
%{mingw32_bindir}/*.exe
%{mingw32_libdir}/libproj.dll.a
%{mingw32_libdir}/pkgconfig/proj.pc
%{mingw32_includedir}/*.h

%files -n mingw32-%{nativename}-static
%{mingw32_libdir}/libproj.a

%files -n mingw64-%{nativename}
%doc NEWS AUTHORS README ChangeLog
%license COPYING
%{mingw64_bindir}/libproj-9.dll
%{mingw64_bindir}/*.exe
%{mingw64_libdir}/libproj.dll.a
%{mingw64_libdir}/pkgconfig/proj.pc
%{mingw64_includedir}/*.h

%files -n mingw64-%{nativename}-static
%{mingw64_libdir}/libproj.a




%changelog
* Wed May 11 2016 tv <tv> 4.9.1-1.mga6
+ Revision: 1012802
- new release

* Mon Feb 01 2016 umeabot <umeabot> 4.8.0-4.mga6
+ Revision: 930096
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.8.0-3.mga5
+ Revision: 749306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.8.0-2.mga5
+ Revision: 682511
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 4.8.0-1.mga4
+ Revision: 547407
- imported package mingw-proj

